Subject: [scim] [Technical Errata Reported] RFC7643 (6004)

From: RFC Errata System <[email-masked]>
Date: Tue, 3 Mar 2020 09:17:14 -0800 (PST)

The following errata report has been submitted for RFC7643,
"System for Cross-domain Identity Management: Core Schema".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6004

--------------------------------------
Type: Technical
Reported by: Shelley Baker <[email-masked]>

Section: 8.7.1

Original Text
-------------
      {
        "name" : "name",
        "type" : "complex",
        ...
        "uniqueness" : "none"
      },
      ...
      {
        "name" : "emails",
        "type" : "complex",
        ...
        "uniqueness" : "none"
      },
      ...
      {
        "name" : "addresses",
        "type" : "complex",
        ...
        "uniqueness" : "none"
      },

Corrected Text
--------------
      {
        "name" : "name",
        "type" : "complex",
        ...
      },
      ...
      {
        "name" : "emails",
        "type" : "complex",
        ...
      },
      ...
      {
        "name" : "addresses",
        "type" : "complex",
        ...
      },

Notes
-----
The "emails", "name", and "addresses" complex user attributes have a "uniqueness" characteristic defined. According to Section 2.3.8, complex attributes have no uniqueness. No other complex attributes in Section 8.7.1 specify a "uniqueness" characteristic. For compliance with Section 2.3.8 and consistency with other attribute definitions, the "uniqueness" sub-attribute for these complex attributes should be removed.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7643 (draft-ietf-scim-core-schema-22)
--------------------------------------
Title               : System for Cross-domain Identity Management: Core Schema
Publication Date    : September 2015
Author(s)           : P. Hunt, Ed., K. Grizzle, E. Wahlstroem, C. Mortimore
Category            : PROPOSED STANDARD
Source              : System for Cross-domain Identity Management
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG

---

From: Phil Hunt <[email-masked]>
Date: Tue, 10 Mar 2020 14:35:40 -0700

VERIFIED

Thanks!

Phil Hunt
[email-masked]

> On Mar 3, 2020, at 9:17 AM, RFC Errata System <[email-masked]> wrote:
>

---

From: Phil Hunt <[email-masked]>
Date: Tue, 10 Mar 2020 14:35:40 -0700

VERIFIED

Thanks!

Phil Hunt
[email-masked]